<?php
namespace Pinpoint\CarouselManager\Model;
use Magento\Framework\DataObject\IdentityInterface;
use Magento\Framework\Model\AbstractModel;
use Pinpoint\CarouselManager\Api\Data\SlideInterface;

/**
 * Class Slide
 * @package Pinpoint\CarouselManager\Model
 */
class Slide
    extends AbstractModel
    implements SlideInterface, IdentityInterface
{
    /**
     *
     */
    const CACHE_TAG = 'pinpoint_carouselmanager_slide';

    /**
     *
     */
    protected function _construct()
    {
        $this->_init(
            'Pinpoint\CarouselManager\Model\ResourceModel\Slide'
        );
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
